#!/bin/bash
rm -rf output

# Download latest weels
python3 -m pip wheel PySide6-Essentials
python3 -m pip wheel PySide6-Addons

wheel2deb convert -c ./wheel2deb.yml

echo -e "\n[Writing modifications]\n"

for i in output/*; do
    cp copyright "$i/debian" # Add copyrights
    perl -i -p0e 's/python3 \(<< 3.(\d)+\),//gm' "$i/debian/control" # Remove upper limit from control.
done

# Moving the shaders library over to essentials since it's required by Qt5Compat
mv output/python3-pyside6-addons_*_amd64/src/PySide6/Qt/lib/libQt6ShaderTools.so.6 output/python3-pyside6-essentials_*_amd64/src/PySide6/Qt/lib/
